# Uses of Interface
net.shibboleth.shared.security.IdentifierGenerationStrategy

Packages that use IdentifierGenerationStrategy
Package
Description
net.shibboleth.shared.security
Helpers for common security related tasks.
net.shibboleth.shared.security.impl
Implementations of security interfaces.
net.shibboleth.shared.spring.error
Extensions for Spring error handling.

## Uses of IdentifierGenerationStrategy in net.shibboleth.shared.security

Methods in net.shibboleth.shared.security that return IdentifierGenerationStrategy
Modifier and Type
Method
Description
`static IdentifierGenerationStrategy`
IdentifierGenerationStrategy.`getInstance(IdentifierGenerationStrategy.ProviderType type)`
Get an instance of a particular provider of identifiers with no parameters.
`static IdentifierGenerationStrategy`
IdentifierGenerationStrategy.`getInstance(IdentifierGenerationStrategy.ProviderType type, IdentifierGenerationStrategy.ParameterSpec params)`
Get an instance of a particular provider of identifiers with parameters.

## Uses of IdentifierGenerationStrategy in net.shibboleth.shared.security.impl

Classes in net.shibboleth.shared.security.impl that implement IdentifierGenerationStrategy
Modifier and Type
Class
Description
`class`
`RandomIdentifierGenerationStrategy`
Generates a random number of bytes via a `Random` source and encodes them into a string using a `BinaryEncoder` (`Hex` by default).
`class`
`SecureRandomIdentifierGenerationStrategy`
A specialized subclass of `RandomIdentifierGenerationStrategy` which constrains the supplied random number generator to be an instance of `SecureRandom`.
`class`
`Type4UUIDIdentifierGenerationStrategy`
Generates a type 4 UUID as an identifier.

## Uses of IdentifierGenerationStrategy in net.shibboleth.shared.spring.error

Fields in net.shibboleth.shared.spring.error declared as IdentifierGenerationStrategy
Modifier and Type
Field
Description
`private IdentifierGenerationStrategy`
ExtendedMappingExceptionResolver.`cspNonceGenerator`
CSP nonce generator.
Methods in net.shibboleth.shared.spring.error with parameters of type IdentifierGenerationStrategy
Modifier and Type
Method
Description
`void`
ExtendedMappingExceptionResolver.`setCSPNonceGenerator(IdentifierGenerationStrategy generator)`
Sets a CSP nonce generator.